SPA PDF Overlays
SPA: Creates a new PDF overlay
Creates a new PDF overlay for document comparison.
POST
/api/spa/pdf-overlaysAuthorizations
X-AUTH-TOKEN
stringheaderrequired
Value for the X-AUTH-TOKEN header parameter.
Request Body
application/json
required
The new PdfOverlay resource
{
"id": 12345,
"name": "DIN A4 letterhead overlay",
"fileName": "letterhead.pdf",
"path": "string",
"file": "string",
"client": {},
"subClient": {},
"createdBy": "user1@company.com",
"updatedBy": "user1@company.com",
"createdAt": "2024-08-23T00:00:00+00:00",
"updatedAt": "2024-08-23T00:00:00+00:00",
"subClientDefault": false,
"subClientId": 3,
"subClientDescription": "Branch Office A",
"subClientColor": "#083E5D"
}Response
201
PdfOverlay resource created
id
integer
Identifier generated by Output.Rocks.
name
stringrequired
Name of the PDF overlay.
fileName
stringrequired
Original PDF file name.
path
string
file
value | null
client
object
subClient
object
createdBy
string
User, created this entry
updatedBy
string
User, updated this entry
createdAt
string<date-time>
UTC date time of entry creation
updatedAt
string<date-time>
UTC date time of last entry update
subClientDefault
boolean
Default for environmental tenants (sub-clients)
subClientId
integer
SubClient ID. Provided on instances with enabled sub-client module only.
subClientDescription
string
SubClient description. Provided on instances with enabled sub-client module only.
subClientColor
string
SubClient display colour. Provided on instances with enabled sub-client module only.